Overview
DELETE/ecosystem/namespaces/{id}registry

Soft-delete a namespace + free its rdid (site-admin)

Delete a record from namespaces by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
204

deleted

No response body.

401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
403

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/ecosystem/namespaces/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/namespaces/{id}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();